Bug 37246 - FILEOPEN PDF Import produces wrong color in Shape
Summary: FILEOPEN PDF Import produces wrong color in Shape
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
(earliest affected)
3.3.2 release
Hardware: x86 (IA32) All
: low minor
Assignee: Not Assigned
QA Contact:
Whiteboard: target:4.3.0
Depends on:
Reported: 2011-05-15 22:57 UTC by Christopher M. Penalver
Modified: 2014-02-19 10:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:

ah_41813a_j11_a_01564.pdf (30.21 KB, application/pdf)
2011-05-15 22:57 UTC, Christopher M. Penalver

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-05-15 22:57:57 UTC
Created attachment 46755 [details]

Downstream bug may be found at:

1) lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

2) apt-cache policy libreoffice-pdfimport
  Installed: 1.0.3+LibO3.3.2-1ubuntu5
  Candidate: 1.0.3+LibO3.3.2-1ubuntu5
  Version table:
 *** 1.0.3+LibO3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-proposed/universe i386 Packages
        100 /var/lib/dpkg/status
     1.0.3+LibO3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/universe i386 Packages

apt-cache policy libreoffice-draw
  Installed: 1:3.3.2-1ubuntu5
  Candidate: 1:3.3.2-1ubuntu5
  Version table:
 *** 1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-proposed/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

apt-cache policy unoconv
  Installed: 0.3-6
  Candidate: 0.3-6
  Version table:
 *** 0.3-6 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/universe i386 Packages
        100 /var/lib/dpkg/status

apt-cache policy acroread
  Installed: 9.4.2-0natty1
  Candidate: 9.4.2-0natty1
  Version table:
 *** 9.4.2-0natty1 0
        500 http://archive.canonical.com/ubuntu/ natty/partner i386 Packages
        100 /var/lib/dpkg/status

3) What is expected to happen using the libreoffice-pdfimport via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/310057/+attachment/2130070/+files/ah_41813a_j11_a_01564.pdf && unoconv --listener && unoconv -f otg ah_41813a_j11_a_01564.pdf && cp ah_41813a_j11_a_01564.otg export.otg && unoconv -f pdf export.otg && acroread ah_41813a_j11_a_01564.pdf export.pdf

is the O in the VZO logo is displayed green in both files.

4) What happens instead is the O is light blue.
Comment 1 Björn Michaelsen 2011-12-23 12:04:03 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 2 Christopher M. Penalver 2012-01-03 15:35:08 UTC
Reproducible in:
LOdev 3.5.0beta2 
Build ID: 8589e48-760cc4d-f39cf3d-1b2857e-60db978
Microsoft Windows Vista Business 6.0.6002 Service Pack 2 Build 6002
Comment 3 Samuel Mehrbrodt (CIB) 2013-02-07 21:09:53 UTC
Sorry, didn't mean to close this.
Comment 4 Christopher M. Penalver 2013-02-08 07:16:33 UTC
Reproducible in:
Microsoft Windows Vista Business x86 6.0.6002 Service Pack 2 Build 6002
Version (Build ID: 7545bee9c2a0782548772a21bc84a9dcc583b89)
Comment 5 Buovjaga 2013-02-08 17:38:08 UTC
PDF editing improvement conspiracy is sponsoring this issue as well: http://www.freedomsponsors.org/core/issue/160/fileopen-pdf-import-produces-wrong-color-in-shape
Comment 6 vvort 2014-02-18 14:15:09 UTC
Light blue color of 'O' is fixed here:

But there are still some related problems
Comment 7 Commit Notification 2014-02-18 20:20:19 UTC
Vort committed a patch related to this issue.
It has been pushed to "master":


fdo#37246 PDF Import: Color to string conversion fix

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
Affected users are encouraged to test the fix and report feedback.
Comment 8 vvort 2014-02-19 05:48:21 UTC
Besides incorrect color, in imported sample document there are one more problem - extra strokes.
This problem was tracked down to this bug and it's solution:

But when I tested PDF from OO bug #109708 and with this lines commented out:
//if(area < minAreaThreshold)
//    m_pSink->strokePath(path);
, I found no problems. Maybe that hack is obsolete and can be removed?

And one more question - where this (strokes) problem needs to be discussed?
Comment 9 Samuel Mehrbrodt (CIB) 2014-02-19 07:11:15 UTC
Hi Vort,
I would just submit a patch and explain the problem in a comment or the commit message.
The reviewer should then decide whether it's ok to merge.

Comment 10 vvort 2014-02-19 10:52:00 UTC
Bugreport about extra strokes: Bug 75195
Closing this report